package cn.iocoder.yudao.module.course.service;

import cn.iocoder.yudao.module.base.vo.SchemeFormDTO;
import cn.iocoder.yudao.module.course.entity.SchoolCourseOrder;
import cn.iocoder.yudao.module.course.entity.SchoolCourseScheme;
import cn.iocoder.yudao.module.course.vo.SchoolCourseSchemeVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.math.BigDecimal;
import java.util.List;

public interface SchoolCourseSchemeService extends IService<SchoolCourseScheme> {

    void saveOrUpdateScheme(SchemeFormDTO dto);

    void deleteScheme(String id);

    SchoolCourseSchemeVO getSchemeDetail(String id);

    /**
     * 根据课程id和科目获取默认提成金额
     * @param courseId
     * @param subject
     * @return
     */
    BigDecimal getCourseDeduct(String courseId, Integer subject);

    /**
     * 根据提成方案id和科目获取对应提成金额
     */
    BigDecimal getSchemeById(String id, Integer subject);

}
